import Foundation

# Uncomment the below to enable!
Foundation.BridgeDef('Charleston', 'charlestonbridge', dict = {
	'modes': [ Foundation.MutatorDef.Stock ],
	'locations': {
		'galHelm':	[ 'data/animations/gal_stand_h_m.nif', 'gal_stand_h_m' ],
		'galTactical':	[ 'data/animations/gal_seated_t_l.nif', 'gal_seated_t_l' ],
		'galCommander':[ 'data/animations/gal_stand_c_m.nif', 'gal_stand_c_m' ],
		'galScience':	[ 'data/animations/gal_stand_S_S.nif', 'gal_stand_s_s' ],
		'galEngineer':	[ 'data/animations/gal_stand_e_s.nif', 'gal_stand_e_s' ],
		'galGuest':	[ 'data/animations/gal_stand_X_m.nif', 'gal_stand_X_m' ],
		'galL1S':	[ 'data/animations/gal_L1toG3_S.nif', 'gal_L1toG3_s', 'pCharacter.SetHidden(1)' ],
		'galL1M':	[ 'data/animations/gal_L1toG3_M.nif', 'gal_L1toG3_M', 'pCharacter.SetHidden(1)' ],
		'galL1L':	[ 'data/animations/gal_L1toG3_L.nif', 'gal_L1toG3_L', 'pCharacter.SetHidden(1)' ],
		'galL2M':	[ 'data/animations/gal_L2toG1_M.nif', 'gal_L2toG1_M', 'pCharacter.SetHidden(1)' ],
		'galL3M':	[ 'data/animations/gal_L2toG2_M.nif', 'gal_L3toG1_M', 'pCharacter.SetHidden(1)' ],
		'galG1M':	[ 'data/animations/gal_G1toL2_M.nif', 'gal_G1toL2_M' ],
		'galG2M':	[ 'data/animations/gal_G2toL2_M.nif', 'gal_G2toL2_M' ],
		'galG3M':	[ 'data/animations/gal_G3toL1_M.nif', 'gal_G3toL1_M' ],
		'galXT01':	[ 'data/animations/gal_seated_XT01.NIF', 'gal_seated_XT01'],
		'galXT02':	[ 'data/animations/gal_seated_XT02.NIF', 'gal_seated_XT02'],
		'galXT03':	[ 'data/animations/gal_standing_XT03.NIF', 'gal_standing_XT03'],
	},
	'Maps':{
		'CurrentMaps': {'g_imp_pannels-state01': "g_imp_pannels-state01"},
		'GreenMaps':{'g_imp_pannels-state01': 'data/Models/Sets/Renaissance-II/High/g_imp_pannels-state01.tga'},
		'YellowMaps':{'g_imp_pannels-state01': 'data/Models/Sets/Renaissance-II/High/g_imp_pannels-state02.tga'},
		'RedMaps':{'g_imp_pannels-state01': [1, {1: 'data/Models/Sets/Renaissance-II/High/g_imp_pannels-state03.tga', 2: 'data/Models/Sets/Galaxy/black.tga',}]},
		'NormalMaps':{'g_imp_pannels-state01': 'data/Models/Sets/Renaissance-II/High/g_imp_pannels-state01.tga'},
		},
	"bridgeSound":	{
		"LiftDoor": {"volume": 1.0,"file": "sfx/RenII/renii-door.wav", "group": "BridgeGeneric"},
		"AmbBridge": {"volume": 0.3,"file": "sfx/RenII/renii-amb.wav", "group": "BridgeGeneric"},
		"RedAlertSound": {"volume": 1.0,"file": "sfx/RenII/renii-red.wav", "group": "BridgeGeneric"},
		"YellowAlertSound": {"volume": 1.0,"file": "sfx/RenII/renii-yellow.wav", "group": "BridgeGeneric"},
		"GreenAlertSound": {"volume": 1.0,"file": "sfx/RenII/renii-green.wav", "group": "BridgeGeneric"},
		"ViewOn": {"volume": 1.0,"file": "sfx/RenII/renii-viewscreenon.wav", "group": "BridgeGeneric"},
		"ViewOff": {"volume": 1.0,"file": "sfx/RenII/renii-viewscreenoff.wav", "group": "BridgeGeneric"}
	},
	"LoadingScreen": "data/Icons/LoadingScreens/RenIILoading.tga",
} )
